#!/usr/bin/env python

#-----------------------------------------------------------------------
# runservergunicorn.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sys
import os

def main():

    if len(sys.argv) != 2:
        print('Usage: ' + sys.argv[0] + ' port', file=sys.stderr)
        sys.exit(1)

    try:
        port = int(sys.argv[1])
    except Exception:
        print('Port must be an integer.', file=sys.stderr)
        sys.exit(1)

    os.system('gunicorn -b 0.0.0.0:' + str(port) +
        ' --access-logfile - penny:app')

if __name__ == '__main__':
    main()
